package com.ibm.etools.iseries.examples.toolboxdemo;


// Licensed Material - Property of IBM
// (C) Copyright IBM Corp. 1997, 1998 - All Rights Reserved
//
// DISCLAIMER:
// The following [enclosed] code is sample code created by IBM
// Corporation.  This sample code is not part of any standard IBM product
// and is provided to you solely for the purpose of assisting you in the
// development of your applications.  The code is provided 'AS IS',
// without warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have been
// advised of the possibility of such damages.


import javax.swing.JTable;
import javax.swing.table.AbstractTableModel;


// Class used to manipulate, and control the contents of the JTable used
// to display a physical file
class PFTableModel extends AbstractTableModel {
public JTable table;
String[] names = null;
String[] emptyRow= {"","","",""};
Object[][] emptyData = {{"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""},
							   {"","","",""}};
Object[][] data = null;






























































// Default constructor.
public PFTableModel() {
	  super();
	  // Column Headings
	  names = new String [4];
	  names[0] = "Column1";
	  names[1] = "Column2";
	  names[2] = "Column3";
	  names[3] = "Column4";


	  // Data
	  data = emptyData;
}
// Constructor requiring array of heading Strings, and 2-dim. array of
//  data.
public PFTableModel(String[] n, Object[][] o) {
	  super();
	  names = n;
	  data = o;
}
// Reokace specified row with the passed values
public void addRow(String[] aValue) {
	for (int i=0; i < aValue.length; i++) {
		setValueAt(aValue[i],0,i);
	}	
  return;
}
/**
 * This method was created by a SmartGuide.
 * @param aValue java.lang.String[]
 */
public void appendRow(String[] aValue) {
  Object[][] temp=new Object [data.length+1][aValue.length];
  int i,j;
  for(i=0; i< data.length; i++){
  		for(j=0; j<aValue.length; j++) {
			temp[i][j] = data[i][j];
		}	
  }
  data=temp;
	for(j=0; j<aValue.length; j++) {
		temp[i][j] = aValue[j];
	}	
  return;
}
// Return class of specified column
public Class getColumnClass(int column) {
  return "ABC".getClass();
}
// Return number of columns in table
public int getColumnCount() {
  return names.length;
}
// Return name of specified column
public String getColumnName(int column) {
  return names[column];
}
// Return number of rows in table
public int getRowCount() {
  return data.length;
}
// Get value at specified row, column
public Object getValueAt(int row, int column) {
  return data[row][column];
}
// Return whether specified cell is editable.  Always false in our case
public boolean isCellEditable(int row, int col) {
  return false;
}
// set value of specified item with passed value
public void setValueAt(Object aValue, int row, int column) {
  data[row][column] = aValue;
  return;
}
}
